{% extends "elections2021/base.html" %}
{% load wagtailcore_tags wagtailimages_tags %}

{% block content %}
<div class="container container--default py-8 lg:py-24">

  <article>
    <div class="pt-2 pb-1.5 md:pt-3.5 md:pb-2 mb-8">
      <h1 class="head-alt-md md:head-alt-lg head-alt-highlighted max-w-5xl mb-4">{{ page.title }}</h1>
    </div>
    <div class="flex flex-col md:flex-row md:items-center">
      <div class="inline-flex divide-x flex-grow">
        <span class="pr-2">{{ page.date }}</span>
        {% if page.author %}
          <span class="pl-2">{{ page.author }}</span>
        {% endif %}
      </div>
      <div class="my-4">
        {% for tag in page.tags.all %}
          {% comment %}
          <a href="{{ page.root_page.articles_page_url }}?tag={{ tag }}" class="btn btn--grey-125 btn--condensed">
            <div class="btn__body ">{{ tag }}</div>
          </a>
          {% endcomment %}
          <div class="btn btn--grey-125 btn--condensed">
            <div class="btn__body">{{ tag }}</div>
          </div>
        {% endfor %}
      </div>
    </div>
    <figure class="figure">
      {% image page.image fill-1136x639 as img %}
      <img src="{{ img.url }}" alt="{{ img.title }}">
      <figcaption>{{ img.title }}</figcaption>
    </figure>

    <div class="lg:flex mt-20 lg:space-x-16 justify-center">
      <div class="lg:w-2/3">
        <div class="content-block w-full">
          {% for block in page.content %}
              {% include_block block %}
            {% endfor %}
        </div>
      </div>
    </div>
  </article>

  <section class="mt-16 md:mt-24">
    <hr>

    <h1 class="head-alt-base md:head-alt-md pb-4 pt-1">Další aktuality</h1>
    <div class="article-card-list grid grid-cols-1 sm:grid-cols-2 lg:grid-cols-3 gap-4 lg:gap-8">
      {% for article in related_articles %}
        {% include "elections2021/_article_card.html" with article=article %}
      {% endfor %}
    </div>

    <div class="text-center mt-8 md:mt-16">
      <a href="{{ page.root_page.articles_page_url }}" class="btn btn--icon showfulltable text-xl btn--hoveractive btn--to-black">
        <div class="btn__body-wrap">
          <div class="btn__body py-4 px-11 leading-5 bg-acidgreen text-black">Všechny aktuality</div>
          <div class="btn__icon "><i class="ico--chevron-right"></i></div>
        </div>
      </a>

    </div>
  </section>

</div>
{% endblock %}
